SpareTire
Date: 2015-09-10

org.atinject.tck.auto.accessories

## Class SpareTire

- java.lang.Object
- - org.atinject.tck.auto.accessories.RoundThing
  - - org.atinject.tck.auto.Tire
    - - org.atinject.tck.auto.accessories.SpareTire

-     public class SpareTire
      extends Tire

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `packagePrivateMethod2Injected`
    `boolean` | `packagePrivateMethod3Injected`

    - ### Fields inherited from class org.atinject.tck.auto.Tire

      `methodInjectedBeforeFields, moreProblems, NEVER_INJECTED, overriddenProtectedMethodInjectedTwice, overriddenPublicMethodInjectedTwice, packagePrivateMethod4Injected, protectedMethodForOverrideInjected, publicMethodForOverrideInjected, similarPackagePrivateMethodInjectedTwice, similarPrivateMethodInjectedTwice, staticMethodInjectedBeforeStaticFields, subPackagePrivateMethodForOverrideInjected, subPackagePrivateMethodInjected, subPrivateMethodForOverrideInjected, subPrivateMethodInjected, subProtectedMethodInjected, subPublicMethodInjected, subtypeFieldInjectedBeforeSupertypeMethods, subtypeMethodInjectedBeforeSupertypeMethods, subtypeStaticFieldInjectedBeforeSupertypeStaticMethods, subtypeStaticMethodInjectedBeforeSupertypeStaticMethods, superPackagePrivateMethodForOverrideInjected, superPackagePrivateMethodInjected, superPrivateMethodForOverrideInjected, superPrivateMethodInjected, superProtectedMethodInjected, superPublicMethodInjected`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SpareTire(FuelTank forSupertype, FuelTank forSubtype)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `hasBeenStaticFieldInjected()`
    `static boolean` | `hasBeenStaticMethodInjected()`
    `boolean` | `hasSpareTireBeenFieldInjected()`
    `boolean` | `hasSpareTireBeenMethodInjected()`
    `protected void` | `injectProtectedMethod()`
    `protected void` | `injectProtectedMethodForOverride()`
    `void` | `injectPublicMethod()`
    `void` | `injectPublicMethodForOverride()`

    - ### Methods inherited from class org.atinject.tck.auto.Tire

      `hasTireBeenFieldInjected, hasTireBeenMethodInjected`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### packagePrivateMethod2Injected

          public boolean packagePrivateMethod2Injected

    - #### packagePrivateMethod3Injected

          public boolean packagePrivateMethod3Injected

  - ### Constructor Detail

    - #### SpareTire

          @Inject
          public SpareTire(FuelTank forSupertype,
                          FuelTank forSubtype)

  - ### Method Detail

    - #### injectProtectedMethod

          @Inject
          protected void injectProtectedMethod()

      Overrides:
        `injectProtectedMethod` in class `Tire`

    - #### injectPublicMethod

          @Inject
          public void injectPublicMethod()

      Overrides:
        `injectPublicMethod` in class `Tire`

    - #### injectProtectedMethodForOverride

          protected void injectProtectedMethodForOverride()

      Overrides:
        `injectProtectedMethodForOverride` in class `Tire`

    - #### injectPublicMethodForOverride

          public void injectPublicMethodForOverride()

      Overrides:
        `injectPublicMethodForOverride` in class `Tire`

    - #### hasSpareTireBeenFieldInjected

          public boolean hasSpareTireBeenFieldInjected()

      Overrides:
        `hasSpareTireBeenFieldInjected` in class `Tire`

    - #### hasSpareTireBeenMethodInjected

          public boolean hasSpareTireBeenMethodInjected()

      Overrides:
        `hasSpareTireBeenMethodInjected` in class `Tire`

    - #### hasBeenStaticFieldInjected

          public static boolean hasBeenStaticFieldInjected()

    - #### hasBeenStaticMethodInjected

          public static boolean hasBeenStaticMethodInjected()